import 'package:api/model/debt.dart';

class DebtRequestResponseConverter {
  static const String creditorRequestResponseFieldName = "creditor";
  static const String debtorRequestResponseFieldName = "debtor";
  static const String amountRequestResponseFieldName = "amount";

  static Map<String, dynamic> toResponseData(Debt response) {
    return {
      creditorRequestResponseFieldName: response.creditor,
      debtorRequestResponseFieldName: response.debtor,
      amountRequestResponseFieldName: response.amount,
    };
  }
}
