import 'package:api/model/membership.dart';

class MembershipRequestResponseConverter {
  static const String userIdRequestResponseFieldName = "userId";
  static const String teamIdRequestResponseFieldName = "teamId";

  static Map<String, dynamic> toResponseData(Membership response) {
    return {
      userIdRequestResponseFieldName: response.user.id,
      teamIdRequestResponseFieldName: response.team.id,
    };
  }
}
