import 'package:api/converter/db_converter/calendar_event.dart';
import 'package:api/model/request/calendar_event.dart';
import 'package:api/model/response/calendar_event.dart';
import 'package:lib/lib.dart';

class CalendarEventDatabase extends BaseDatabase<CalendarEventRequest, CalendarEventResponse> {
  @override
  final String collectionId = "6619bc4edf8000989821";

  @override
  final String databaseId = "65fddef523b653ce0952";


  CalendarEventDatabase({
    required super.host,
    required super.projectId,
    required super.apiKey,
    super.itemToDbMap = CalendarEventDbConverter.toDbData,
    super.itemFromDbMap = CalendarEventDbConverter.fromDbData,
  });
}
