import 'package:api/converter/db_converter/payment/user_to_user.dart';
import 'package:api/model/request/payment/user_to_user.dart';
import 'package:api/model/response/payment/user_to_user.dart';
import 'package:lib/lib.dart';

class UserToUserPaymentDatabase extends BaseDatabase<UserToUserPaymentRequest, UserToUserPaymentResponse> {
  @override
  final String collectionId = "662e3e606cc2ebf69b53";

  @override
  final String databaseId = "65fddef523b653ce0952";

  UserToUserPaymentDatabase({
    required super.host,
    required super.projectId,
    required super.apiKey,
    super.itemFromDbMap = UserToUserPaymentDbConverter.fromDbData,
    super.itemToDbMap = UserToUserPaymentDbConverter.toDbData,
  });
}
