import 'package:api/model/interface/payment/user_to_user.dart';
import 'package:api/model/request/payment/payment.dart';
import 'package:lib/lib.dart';

class UserToUserPaymentRequest extends PaymentRequest implements UserToUserPayment {
  @override
  final String paidTo;

  @override
  final num amount;

  @override
  final String? id;

  @override
  final String paidBy;

  @override
  final Permissions? permissions = null;

  UserToUserPaymentRequest({
    this.id,
    required this.amount,
    required this.paidBy,
    required this.paidTo,
  });
}
