import 'package:api/model/interface/payment/team.dart';
import 'package:api/model/response/payment/payment.dart';

class TeamPaymentResponse extends PaymentResponse implements TeamPayment {
  @override
  final String teamId;

  @override
  final num amount;

  @override
  final String id;

  @override
  final String paidBy;

  @override
  final DateTime createdAt;

  TeamPaymentResponse({
    required this.id,
    required this.amount,
    required this.teamId,
    required this.paidBy,
    required this.createdAt,
  });
}
