import 'package:api/model/interface/route.dart';

class RouteResponse implements Route {
  @override
  final Iterable<String> pointIds;

  @override
  final String userId;

  @override
  final String? teamId;

  @override
  final DateTime startTime;

  @override
  final DateTime endTime;

  @override
  final String id;

  RouteResponse({required this.id, required this.pointIds, required this.userId, this.teamId, required this.startTime, required this.endTime});
}
