import 'package:api/model/request/payment/payment.dart';

extension PaymentDbConverter on PaymentRequest {
  static const String amountDbFieldName = "amount";
  static const String paidByDbFieldName = "paidBy";

  static Map<String, dynamic> toDbData(PaymentRequest request) {
    return {
      amountDbFieldName: request.amount,
      paidByDbFieldName: request.paidBy,
    };
  }
}
