import 'package:api/converter/request_response/payment/team.dart';
import 'package:api/model/request/payment/equally_distributed.dart';
import 'package:api/model/response/payment/equally_distributed.dart';

class EquallyDistributedPaymentRequestResponseConverter {
  static Map<String, dynamic> toResponseData(EquallyDistributedPaymentResponse response) {
    return TeamPaymentRequestResponseConverter.toResponseData(response);
  }

  static EquallyDistributedPaymentRequest fromRequest(Map<String, dynamic> map) {
    var teamPayment = TeamPaymentRequestResponseConverter.fromRequest(map);

    return EquallyDistributedPaymentRequest(
      id: teamPayment.id,
      amount: teamPayment.amount,
      teamId: teamPayment.teamId,
      paidBy: teamPayment.paidBy,
    );
  }
}
