import 'package:api/model/response/payment/payment.dart';
import 'package:lib/lib.dart';

class PaymentRequestResponseConverter {
  static const String amountRequestResponseFieldName = "amount";
  static const String paidByRequestResponseFieldName = "paidBy";
  static const String createdAtRequestResponseFieldName = "timeAdded";

  static Map<String, dynamic> toResponseData(PaymentResponse response) {
    return {
      RequestResponseVariables.idFieldName: response.id,
      amountRequestResponseFieldName: response.amount,
      paidByRequestResponseFieldName: response.paidBy,
      createdAtRequestResponseFieldName: response.createdAt.toIso8601String(),
    };
  }
}
