import 'package:api/model/team.dart';

class TeamRequestResponseConverter {
  static const String teamIdResponseFieldName = "teamId";
  static const String teamNameResponseFieldName = "teamName";
  
  static Map<String, dynamic> toResponseData(Team response) {
    return {
      teamIdResponseFieldName: response.id,
      teamNameResponseFieldName: response.name,
    };
  }
}
