import 'package:api/converter/db_converter/payment/driven_distance_distributed.dart';
import 'package:api/model/request/payment/driven_distance_distributed.dart';
import 'package:api/model/response/payment/driven_distance_distributed.dart';
import 'package:lib/lib.dart';

class DrivenDistanceDistributedPaymentDatabase extends BaseDatabase<DrivenDistanceDistributedPaymentRequest, DrivenDistanceDistributedPaymentResponse> {
  @override
  final String collectionId = "662e9e3cace23e849ddf";

  @override
  final String databaseId = "65fddef523b653ce0952";


  DrivenDistanceDistributedPaymentDatabase({
    required super.host,
    required super.projectId,
    required super.apiKey,
    super.itemFromDbMap = DrivenDistanceDistributedPaymentDbConverter.fromDbData,
    super.itemToDbMap = DrivenDistanceDistributedPaymentDbConverter.toDbData,
  });
}
