import 'package:api/converter/db_converter/payment/equally_distributed.dart';
import 'package:api/model/request/payment/equally_distributed.dart';
import 'package:api/model/response/payment/equally_distributed.dart';
import 'package:lib/lib.dart';

class EquallyDistributedPaymentDatabase extends BaseDatabase<EquallyDistributedPaymentRequest, EquallyDistributedPaymentResponse> {
  @override
  final String collectionId = "662eaa4f96d1940ca5d6";

  @override
  final String databaseId = "65fddef523b653ce0952";

  EquallyDistributedPaymentDatabase({
    required super.host,
    required super.projectId,
    required super.apiKey,
    super.itemFromDbMap = EquallyDistributedPaymentDbConverter.fromDbData,
    super.itemToDbMap = EquallyDistributedPaymentDbConverter.toDbData,
  });
}
