import 'package:api/converter/db_converter/route.dart';
import 'package:api/model/request/route.dart';
import 'package:api/model/response/route.dart';
import 'package:lib/lib.dart';

class RouteDatabase extends BaseDatabase<RouteRequest, RouteResponse> {
  @override
  String get collectionId => "6600a7f577154a949b4c";

  @override
  String get databaseId => "65fddef523b653ce0952";

  RouteDatabase({
    required super.host,
    required super.projectId,
    required super.apiKey,
    super.itemToDbMap = RouteDbConverter.toDbData,
    super.itemFromDbMap = RouteDbConverter.fromDbData,
  });
}
