import 'package:api/model/interface/calendar_event.dart';
import 'package:lib/lib.dart';

class CalendarEventRequest extends DbModel implements CalendarEvent {
  @override
  final String teamId;

  @override
  final String title;
  
  @override
  final String description;
  
  @override
  final DateTime start;
  
  @override
  final DateTime end;
  
  @override
  final String userId;

  @override
  final String? id;

  @override
  final Permissions? permissions = null;

  CalendarEventRequest({
    this.id,
    required this.userId,
    required this.teamId,
    required this.title,
    required this.description,
    required this.start,
    required this.end
  });
}
