import 'package:api/model/interface/payment/driven_distance_distributed.dart';
import 'package:api/model/request/payment/team.dart';

class DrivenDistanceDistributedPaymentRequest extends TeamPaymentRequest implements DrivenDistanceDistributedPayment {
  @override
  final Iterable<String> routeIds;

  DrivenDistanceDistributedPaymentRequest({
    super.id,
    required super.amount,
    required super.teamId,
    required super.paidBy,
    required this.routeIds,
  });
}
