import 'package:api/model/interface/payment/team.dart';
import 'package:api/model/request/payment/payment.dart';
import 'package:lib/lib.dart';

class TeamPaymentRequest extends PaymentRequest implements TeamPayment {
  @override
  final String teamId;

  @override
  final num amount;

  @override
  final String? id;

  @override
  final String paidBy;

  @override
  final Permissions? permissions = null;

  TeamPaymentRequest({
    this.id,
    required this.amount,
    required this.teamId,
    required this.paidBy,
  });
}
