import 'package:api/model/interface/point.dart';
import 'package:lib/lib.dart';

class PointRequest extends DbModel implements Point {
  @override
  final String? id;

  @override
  final num latitude;

  @override
  final num longitude;

  @override
  final Permissions? permissions = null;

  PointRequest({this.id, required this.latitude, required this.longitude});
}
