import 'package:api/model/interface/route.dart';
import 'package:lib/lib.dart';

class RouteRequest extends DbModel implements Route {
  @override
  final Iterable<String> pointIds;

  @override
  final String userId;

  @override
  final String? teamId;

  @override
  final DateTime startTime;

  @override
  final DateTime endTime;

  @override
  final String? id;

  @override
  final Permissions? permissions;

  RouteRequest({this.id, required this.pointIds, required this.userId, this.teamId, required this.startTime, required this.endTime}) :
    permissions = null;
}
