import 'package:api/model/interface/calendar_event.dart';

class CalendarEventResponse implements CalendarEvent {
  @override
  final String teamId;

  @override
  final String title;

  @override
  final String description;

  @override
  final DateTime start;

  @override
  final DateTime end;

  @override
  final String userId;

  @override
  final String id;

  CalendarEventResponse({
    required this.id,
    required this.userId,
    required this.teamId,
    required this.title,
    required this.description,
    required this.start,
    required this.end
  });
}
