import 'package:api/model/interface/payment/driven_distance_distributed.dart';
import 'package:api/model/response/payment/team.dart';

class DrivenDistanceDistributedPaymentResponse extends TeamPaymentResponse implements DrivenDistanceDistributedPayment {
  @override
  final Iterable<String> routeIds;

  DrivenDistanceDistributedPaymentResponse({
    required super.id,
    required super.amount,
    required super.teamId,
    required super.paidBy,
    required super.createdAt,
    required this.routeIds,
  });
}
