import 'package:api/model/interface/payment/user_to_user.dart';
import 'package:api/model/response/payment/payment.dart';

class UserToUserPaymentResponse extends PaymentResponse implements UserToUserPayment {
  @override
  final String paidTo;

  @override
  final num amount;

  @override
  final String id;

  @override
  final String paidBy;

  @override
  final DateTime createdAt;

  UserToUserPaymentResponse({
    required this.id,
    required this.amount,
    required this.createdAt,
    required this.paidBy,
    required this.paidTo,
  });
}
