import 'dart:convert';

Map<String, dynamic> listResponse<T>(final context, List<T> response, Map<String, dynamic> Function(T) responseDataFromItem) {
  return context.res.send(
    jsonEncode(response.map((e) => responseDataFromItem(e)).toList())
  );
}
